com.microsoft.sqlserver.jdbc

## Class SQLServerDataTable

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDataTable

    public final class SQLServerDataTable
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SQLServerDataTable()` The constant in the Java programming language, sometimes referred to as a type code, that identifies the type TVP.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addColumnMetadata(SQLServerDataColumn column)`
`void` `addColumnMetadata(String columnName, int sqlType)`
`void` `addRow(Object... values)`
`void` `clear()`
`Map<Integer,SQLServerDataColumn>` `getColumnMetadata()`
`Iterator<Map.Entry<Integer,Object[]>>` `getIterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLServerDataTable

    public SQLServerDataTable()
                       throws SQLServerException

The constant in the Java programming language, sometimes referred to as a type code, that identifies the type TVP.

Throws:
  `SQLServerException`

### Method Detail

#### clear

    public void clear()

#### getIterator

    public Iterator<Map.Entry<Integer,Object[]>> getIterator()

#### addColumnMetadata

    public void addColumnMetadata(String columnName,
                                  int sqlType)
                           throws SQLServerException

Throws:
  `SQLServerException`

#### addColumnMetadata

    public void addColumnMetadata(SQLServerDataColumn column)
                           throws SQLServerException

Throws:
  `SQLServerException`

#### addRow

    public void addRow(Object... values)
                throws SQLServerException

Throws:
  `SQLServerException`

#### getColumnMetadata

    public Map<Integer,SQLServerDataColumn> getColumnMetadata()